VBA
Discuss AutoCAD ActiveX and VBA (Visual Basic for Applications) questions here.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Mirror Block???

8 REPLIES 8
Reply
Message 1 of 9
Anonymous
604 Views, 8 Replies

Mirror Block???

How to mirror a block? What is the Point1 and Point2 for?

Set objRockRef = myDoc2.ModelSpace.InsertBlock(dblRock, strRockSymbol2, 1, dblRockLength, 1, 0)
objRockRef.Mirror(Point1,Point2)
8 REPLIES 8
Message 2 of 9
Anonymous
in reply to: Anonymous

see help-file for mirror, the points do specify a mirror axis

- alfred -

In article , lyz77@yahoo.com.sg says...
> How to mirror a block? What is the Point1 and Point2 for?

Set objRockRef = myDoc2.ModelSpace.InsertBlock(dblRock, strRockSymbol2, 1, dblRockLength, 1, 0)

> objRockRef.Mirror(Point1,Point2)
>

Message 3 of 9
Anonymous
in reply to: Anonymous

Can I check with you whether I need to specify the xyz coordinate for the points? I can't locate any help abt mirroing in my VB and AutoCAD!
Message 4 of 9
Anonymous
in reply to: Anonymous

in my help (acadauto.chm):

RetVal = object.Mirror(Point1, Point2)

Object .... All Drawing Objects
The object or objects this method applies to.

Point1 .... Variant (three-element array of doubles); input-only
3D WCS coords specifying the first point of the mirror axis.

Point2 .... Variant (three-element array of doubles); input-only
3D WCS coords specifying the second point of the mirror axis.

RetVal .... Mirrored object
This object can be one of any Drawing Objects.



- alfred -


In article , lyz77@yahoo.com.sg says...
> Can I check with you whether I need to specify the xyz coordinate for the points? I can't locate any help abt mirroing in my VB and AutoCAD!
>
Message 5 of 9
Anonymous
in reply to: Anonymous

How can this be done in plain ol'
AutoLisp?


--
Jamie Myers
--

 

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
How
to mirror a block? What is the Point1 and Point2 for?

Set objRockRef = myDoc2.ModelSpace.InsertBlock(dblRock, strRockSymbol2, 1,
dblRockLength, 1, 0)

objRockRef.Mirror(Point1,Point2)

Message 6 of 9
Anonymous
in reply to: Anonymous

Never mind.  I figured it out.


--
Jamie Myers
--

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">

How can this be done in plain ol'
AutoLisp?


--
Jamie Myers
--

 

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
How
to mirror a block? What is the Point1 and Point2 for?

Set objRockRef = myDoc2.ModelSpace.InsertBlock(dblRock, strRockSymbol2,
1, dblRockLength, 1, 0)

objRockRef.Mirror(Point1,Point2)

Message 7 of 9
Anonymous
in reply to: Anonymous

anybody got anything to mirror for .net? .net forums been a little dry on the subject.
Message 8 of 9
Anonymous
in reply to: Anonymous

Autodesk.AutoCAD.Geometry.Entity2d.Mirror
Autodesk.AutoCAD.Geometry.Entity3d.Mirror
Message 9 of 9
Anonymous
in reply to: Anonymous

ok, now connect that to an ACAD DBobject

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost